import { Expose, Type } from 'class-transformer';
import { CarritoMinOutputDto } from '../../../carrito/dto/output/carrito-min.dto';
import { StatusOutputDto } from '../../../status/dto/output/status.dto';

export class EquiposOutputDto {
  @Expose()
  id_equipo;

  @Expose()
  equipo;

  @Expose()
  numero_inventario;

  @Expose()
  @Type(() => CarritoMinOutputDto)
  carrito;

  @Expose()
  @Type(() => StatusOutputDto)
  status;
}
