import {
  IsEmail,
  IsInt,
  IsNotEmpty,
  IsString,
  MaxLength,
} from 'class-validator';

export class CreateAdminDto {
  @IsEmail()
  correo: string;

  @IsInt()
  id_institucion: number;

  @IsString()
  @IsNotEmpty()
  @MaxLength(40)
  nombre: string;

  @IsString()
  operador: string;
}
