import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { Operador } from '../../operador/entity/operador.entity';
import { Usuario } from '../../usuario/entity/usuario.entity';

@Entity()
export class TipoUsuario {
  @PrimaryGeneratedColumn()
  id_tipo_usuario: number;

  @Column({ type: String, nullable: false, length: 30 })
  tipo_usuario: string;

  @OneToMany(() => Operador, (operador) => operador.tipoUsuario)
  operadores: Operador[];

  @OneToMany(() => Usuario, (usuario) => usuario.tipoUsuario)
  usuarios: Usuario[];
}
