import { Expose, Type } from 'class-transformer';
import { DiaOutputDto } from './dia.dto';
import { HoraExcepcionOutputDto } from '../../../hora-excepcion/dto/output/hora-excepcion.dto';

export class InstitucionCarreaOutputDto {
  @Expose()
  id_institucion_dia;

  @Expose()
  activo;

  @Expose()
  hora_extra;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  hora_tope;

  @Expose()
  @Type(() => DiaOutputDto)
  dia;

  @Expose()
  @Type(() => HoraExcepcionOutputDto)
  horasExcepcion;
}
